/*
Dataddo Headless BETA API

Dataddo Headless BETA API

API version: 1.0.0-beta.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package customer_api

import (
	"encoding/json"
)

// checks if the AuthorizerDebugResponseAllOf type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &AuthorizerDebugResponseAllOf{}

// AuthorizerDebugResponseAllOf struct for AuthorizerDebugResponseAllOf
type AuthorizerDebugResponseAllOf struct {
	Logs []interface{} `json:"logs,omitempty"`
}

// NewAuthorizerDebugResponseAllOf instantiates a new AuthorizerDebugResponseAllOf object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewAuthorizerDebugResponseAllOf() *AuthorizerDebugResponseAllOf {
	this := AuthorizerDebugResponseAllOf{}
	return &this
}

// NewAuthorizerDebugResponseAllOfWithDefaults instantiates a new AuthorizerDebugResponseAllOf object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewAuthorizerDebugResponseAllOfWithDefaults() *AuthorizerDebugResponseAllOf {
	this := AuthorizerDebugResponseAllOf{}
	return &this
}

// GetLogs returns the Logs field value if set, zero value otherwise.
func (o *AuthorizerDebugResponseAllOf) GetLogs() []interface{} {
	if o == nil || IsNil(o.Logs) {
		var ret []interface{}
		return ret
	}
	return o.Logs
}

// GetLogsOk returns a tuple with the Logs field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *AuthorizerDebugResponseAllOf) GetLogsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Logs) {
		return nil, false
	}
	return o.Logs, true
}

// HasLogs returns a boolean if a field has been set.
func (o *AuthorizerDebugResponseAllOf) HasLogs() bool {
	if o != nil && !IsNil(o.Logs) {
		return true
	}

	return false
}

// SetLogs gets a reference to the given []interface{} and assigns it to the Logs field.
func (o *AuthorizerDebugResponseAllOf) SetLogs(v []interface{}) {
	o.Logs = v
}

func (o AuthorizerDebugResponseAllOf) MarshalJSON() ([]byte, error) {
	toSerialize, err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o AuthorizerDebugResponseAllOf) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Logs) {
		toSerialize["logs"] = o.Logs
	}
	return toSerialize, nil
}

type NullableAuthorizerDebugResponseAllOf struct {
	value *AuthorizerDebugResponseAllOf
	isSet bool
}

func (v NullableAuthorizerDebugResponseAllOf) Get() *AuthorizerDebugResponseAllOf {
	return v.value
}

func (v *NullableAuthorizerDebugResponseAllOf) Set(val *AuthorizerDebugResponseAllOf) {
	v.value = val
	v.isSet = true
}

func (v NullableAuthorizerDebugResponseAllOf) IsSet() bool {
	return v.isSet
}

func (v *NullableAuthorizerDebugResponseAllOf) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableAuthorizerDebugResponseAllOf(val *AuthorizerDebugResponseAllOf) *NullableAuthorizerDebugResponseAllOf {
	return &NullableAuthorizerDebugResponseAllOf{value: val, isSet: true}
}

func (v NullableAuthorizerDebugResponseAllOf) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableAuthorizerDebugResponseAllOf) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
